SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
DataStructures::ThreadsafeAllocatingQueue< structureType > Class Template Reference

`#include <slikenet/DS_ThreadsafeAllocatingQueue.h>`

Inheritance diagram for DataStructures::ThreadsafeAllocatingQueue< structureType >:

## Public Member Functions

void | Push (structureType *s)
structureType * | PopInaccurate (void)
structureType * | Pop (void)
void | SetPageSize (int size)
bool | IsEmpty (void)
structureType * | operator[] (unsigned int position)
void | RemoveAtIndex (unsigned int position)
unsigned int | Size (void)
structureType * | Allocate (const char *file, unsigned int line)
void | Deallocate (structureType *s, const char *file, unsigned int line)
void | Clear (const char *file, unsigned int line)

## Protected Attributes

MemoryPool< structureType > | memoryPool
SLNet::SimpleMutex | memoryPoolMutex
Queue< structureType * > | queue
SLNet::SimpleMutex | queueMutex

## Detailed Description

### template<class structureType>
class DataStructures::ThreadsafeAllocatingQueue< structureType >

Definition at line 37 of file DS_ThreadsafeAllocatingQueue.h.

## Member Function Documentation

template<class structureType >

structureType * DataStructures::ThreadsafeAllocatingQueue< structureType >::Allocate | ( | const char * | file,
|  | unsigned int | line
| ) |  |

Definition at line 101 of file DS_ThreadsafeAllocatingQueue.h.

Referenced by SLNet::RakPeer::ChangeSystemAddress(), SLNet::RakPeer::CloseConnectionInternal(), SLNet::RakPeer::GetSocket(), SLNet::RakPeer::GetSockets(), SLNet::RakPeer::RunUpdateCycle(), SLNet::RakPeer::SendBuffered(), and SLNet::RakPeer::SendBufferedList().

template<class structureType >

void DataStructures::ThreadsafeAllocatingQueue< structureType >::Clear | ( | const char * | file,
|  | unsigned int | line
| ) |  |

Definition at line 122 of file DS_ThreadsafeAllocatingQueue.h.

Referenced by SLNet::RakPeer::ClearBufferedCommands(), and SLNet::RakPeer::ClearSocketQueryOutput().

template<class structureType>

void DataStructures::ThreadsafeAllocatingQueue< structureType >::Deallocate | ( | structureType * | s,
|  | const char * | file,
|  | unsigned int | line
| ) |  |

Definition at line 112 of file DS_ThreadsafeAllocatingQueue.h.

Referenced by SLNet::RakPeer::ClearBufferedCommands(), SLNet::RakPeer::GetSocket(), SLNet::RakPeer::GetSockets(), SLNet::RakPeer::RunUpdateCycle(), and SLNet::RakPeer::SendBuffered().

template<class structureType >

bool DataStructures::ThreadsafeAllocatingQueue< structureType >::IsEmpty | ( | void |  | ) |

Definition at line 144 of file DS_ThreadsafeAllocatingQueue.h.

template<class structureType >

structureType * DataStructures::ThreadsafeAllocatingQueue< structureType >::operator[] | ( | unsigned int | position | ) |

Definition at line 154 of file DS_ThreadsafeAllocatingQueue.h.

template<class structureType >

structureType * DataStructures::ThreadsafeAllocatingQueue< structureType >::Pop | ( | void |  | ) |

Definition at line 86 of file DS_ThreadsafeAllocatingQueue.h.

Referenced by SLNet::RakPeer::ClearBufferedCommands(), SLNet::RakPeer::GetSocket(), and SLNet::RakPeer::GetSockets().

template<class structureType >

structureType * DataStructures::ThreadsafeAllocatingQueue< structureType >::PopInaccurate | ( | void |  | ) |

Definition at line 71 of file DS_ThreadsafeAllocatingQueue.h.

Referenced by SLNet::RakPeer::RunUpdateCycle().

template<class structureType>

void DataStructures::ThreadsafeAllocatingQueue< structureType >::Push | ( | structureType * | s | ) |

Definition at line 63 of file DS_ThreadsafeAllocatingQueue.h.

References _FILE_AND_LINE_.

Referenced by SLNet::RakPeer::ChangeSystemAddress(), SLNet::RakPeer::CloseConnectionInternal(), SLNet::RakPeer::GetSocket(), SLNet::RakPeer::GetSockets(), SLNet::RakPeer::RunUpdateCycle(), SLNet::RakPeer::SendBuffered(), and SLNet::RakPeer::SendBufferedList().

template<class structureType >

void DataStructures::ThreadsafeAllocatingQueue< structureType >::RemoveAtIndex | ( | unsigned int | position | ) |

Definition at line 164 of file DS_ThreadsafeAllocatingQueue.h.

template<class structureType >

void DataStructures::ThreadsafeAllocatingQueue< structureType >::SetPageSize | ( | int | size | ) |

Definition at line 138 of file DS_ThreadsafeAllocatingQueue.h.

template<class structureType >

unsigned int DataStructures::ThreadsafeAllocatingQueue< structureType >::Size | ( | void |  | ) |

Definition at line 172 of file DS_ThreadsafeAllocatingQueue.h.

## Member Data Documentation

template<class structureType>

MemoryPool<structureType> DataStructures::ThreadsafeAllocatingQueue< structureType >::memoryPool

mutableprotected

Definition at line 56 of file DS_ThreadsafeAllocatingQueue.h.

template<class structureType>

SLNet::SimpleMutex DataStructures::ThreadsafeAllocatingQueue< structureType >::memoryPoolMutex

protected

Definition at line 57 of file DS_ThreadsafeAllocatingQueue.h.

template<class structureType>

Queue<structureType*> DataStructures::ThreadsafeAllocatingQueue< structureType >::queue

protected

Definition at line 58 of file DS_ThreadsafeAllocatingQueue.h.

template<class structureType>

SLNet::SimpleMutex DataStructures::ThreadsafeAllocatingQueue< structureType >::queueMutex

protected

Definition at line 59 of file DS_ThreadsafeAllocatingQueue.h.

The documentation for this class was generated from the following file:

- Source/include/slikenet/DS_ThreadsafeAllocatingQueue.h